# Uses of Interface
org.eclipse.net4j.db.ddl.IDBSchema

Packages that use IDBSchema
Package
Description
org.eclipse.net4j.db
The Net4j DB framework.
org.eclipse.net4j.db.ddl
The Net4j DB framework concepts for the abstraction of the SQL data definition language.
org.eclipse.net4j.db.ddl.delta
The Net4j DB framework concepts for the abstraction of schema deltas.
org.eclipse.net4j.internal.db.ddl
org.eclipse.net4j.spi.db
Server service provider interfaces and useful base implementations for the Net4j DB framework.
org.eclipse.net4j.spi.db.ddl
Server service provider interfaces for the Net4j DB framework.

## Uses of IDBSchema in org.eclipse.net4j.db

Methods in org.eclipse.net4j.db that return IDBSchema
Modifier and Type
Method
Description
`static IDBSchema`
DBUtil.`copySchema(IDBSchema source)`
`static IDBSchema`
DBUtil.`createSchema(String name)`
Creates a case-insensitive schema with the given `name`.
`static IDBSchema`
DBUtil.`createSchema(String name, boolean caseSensitive, boolean qualifiedTableNames)`
`IDBSchema`
IDBDatabase.`getSchema()`
`IDBSchema`
IDBSchemaTransaction.`getWorkingCopy()`
`static IDBSchema`
DBUtil.`readSchema(IDBAdapter adapter, Connection connection, String name)`
`static IDBSchema`
DBUtil.`readSchema(IDBAdapter adapter, Connection connection, String name, boolean fixNullableIndexColumns)`
`static IDBSchema`
DBUtil.`readSchema(IDBAdapter adapter, Connection connection, String name, boolean fixNullableIndexColumns, boolean qualifiedTableNames)`
`IDBSchema`
IDBAdapter.`readSchema(Connection connection, String name)`
Methods in org.eclipse.net4j.db with parameters of type IDBSchema
Modifier and Type
Method
Description
`static IDBSchema`
DBUtil.`copySchema(IDBSchema source)`
`IDBSchemaDelta`
IDBSchemaTransaction.`ensureSchema(IDBSchema schema)`
`IDBSchemaDelta`
IDBSchemaTransaction.`ensureSchema(IDBSchema schema, IDBDeltaVisitor.Filter.Policy policy)`
`static void`
DBUtil.`readSchema(IDBAdapter adapter, Connection connection, IDBSchema schema)`
`void`
IDBAdapter.`readSchema(Connection connection, IDBSchema schema)`
`void`
IDBDatabase.RunnableWithSchema.`run(IDBSchema schema)`
`void`
IDBAdapter.`updateSchema(Connection connection, IDBSchema schema, IDBSchemaDelta delta)`

## Uses of IDBSchema in org.eclipse.net4j.db.ddl

Methods in org.eclipse.net4j.db.ddl that return IDBSchema
Modifier and Type
Method
Description
`IDBSchema`
IDBTable.`getParent()`
`IDBSchema`
IDBSchemaElement.`getSchema()`
Methods in org.eclipse.net4j.db.ddl with parameters of type IDBSchema
Modifier and Type
Method
Description
`IDBSchemaDelta`
IDBSchema.`compare(IDBSchema oldSchema)`
`void`
IDBSchemaVisitor.Default.`visit(IDBSchema element)`
`void`
IDBSchemaVisitor.`visit(IDBSchema schema)`

## Uses of IDBSchema in org.eclipse.net4j.db.ddl.delta

Methods in org.eclipse.net4j.db.ddl.delta that return IDBSchema
Modifier and Type
Method
Description
`IDBSchema`
IDBSchemaDelta.`getSchemaElement(IDBSchema schema)`
Methods in org.eclipse.net4j.db.ddl.delta with parameters of type IDBSchema
Modifier and Type
Method
Description
`void`
IDBSchemaDelta.`applyTo(IDBSchema schema)`
`IDBSchemaElement`
IDBDelta.`getSchemaElement(IDBSchema schema)`
`IDBField`
IDBFieldDelta.`getSchemaElement(IDBSchema schema)`
`IDBIndex`
IDBIndexDelta.`getSchemaElement(IDBSchema schema)`
`IDBIndexField`
IDBIndexFieldDelta.`getSchemaElement(IDBSchema schema)`
`IDBSchema`
IDBSchemaDelta.`getSchemaElement(IDBSchema schema)`
`IDBTable`
IDBTableDelta.`getSchemaElement(IDBSchema schema)`

## Uses of IDBSchema in org.eclipse.net4j.internal.db.ddl

Classes in org.eclipse.net4j.internal.db.ddl that implement IDBSchema
Modifier and Type
Class
Description
`class`
`org.eclipse.net4j.internal.db.ddl.DBSchema`

## Uses of IDBSchema in org.eclipse.net4j.spi.db

Classes in org.eclipse.net4j.spi.db that implement IDBSchema
Modifier and Type
Class
Description
`class`
`DBSchema`
Deprecated.
As of 4.2 call `DBUtil.createSchema(String)`, `DBUtil.readSchema(IDBAdapter, Connection, IDBSchema)`, `DBUtil.readSchema(IDBAdapter, Connection, String)` or `DBUtil.copySchema(IDBSchema)`.
Methods in org.eclipse.net4j.spi.db that return IDBSchema
Modifier and Type
Method
Description
`IDBSchema`
DBSchema.`getSchema()`
Deprecated.
`IDBSchema`
DBAdapter.`readSchema(Connection connection, String name)`
Methods in org.eclipse.net4j.spi.db with parameters of type IDBSchema
Modifier and Type
Method
Description
`void`
DBAdapter.`readSchema(Connection connection, IDBSchema schema)`
`void`
DBAdapter.`updateSchema(Connection connection, IDBSchema schema, IDBSchemaDelta delta)`
Constructors in org.eclipse.net4j.spi.db with parameters of type IDBSchema
Modifier
Constructor
Description
``
`DBSchema(IDBSchema source)`
Deprecated.

## Uses of IDBSchema in org.eclipse.net4j.spi.db.ddl

Subinterfaces of IDBSchema in org.eclipse.net4j.spi.db.ddl
Modifier and Type
Interface
Description
`interface`
`InternalDBSchema`
Methods in org.eclipse.net4j.spi.db.ddl that return IDBSchema
Modifier and Type
Method
Description
`IDBSchema`
InternalDBSchema.`getWrapper()`